﻿using System.ComponentModel.DataAnnotations.Schema;

namespace UnivateProperties_API.Model.Communication
{
    public class MailModel : BaseEntity
    {
        public string ComType { get; set; }
        public string ToAddress { get; set; }
        public string FromAddress { get; set; }
        public string Name { get; set; }
        public string Email { get; set; }
        public string Phone { get; set; }
        public string Property { get; set; }
        public string Message { get; set; }
        public string HeardFrom { get; set; }
        [ForeignKey("MailSource")]
        public int? MailSourceId { get; set; }
        public virtual MailSource MailSource { get; set; }
        public string Error { get; set; }
        public bool Consent { get; set; }
    }
}
