﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace UnivateProperties_API.Migrations
{
    public partial class MailSources : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_CommunicationLog_MailSource_MailSourceId",
                table: "CommunicationLog");

            migrationBuilder.DropPrimaryKey(
                name: "PK_MailSource",
                table: "MailSource");

            migrationBuilder.RenameTable(
                name: "MailSource",
                newName: "MailSources");

            migrationBuilder.AddPrimaryKey(
                name: "PK_MailSources",
                table: "MailSources",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_CommunicationLog_MailSources_MailSourceId",
                table: "CommunicationLog",
                column: "MailSourceId",
                principalTable: "MailSources",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_CommunicationLog_MailSources_MailSourceId",
                table: "CommunicationLog");

            migrationBuilder.DropPrimaryKey(
                name: "PK_MailSources",
                table: "MailSources");

            migrationBuilder.RenameTable(
                name: "MailSources",
                newName: "MailSource");

            migrationBuilder.AddPrimaryKey(
                name: "PK_MailSource",
                table: "MailSource",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_CommunicationLog_MailSource_MailSourceId",
                table: "CommunicationLog",
                column: "MailSourceId",
                principalTable: "MailSource",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
